**`DEVI`[NAME]** PRASAD GAKKULA -NL- BELLEVUE WA -NL- C ELL: **`425 209 9145`[PHONES_PHONE]** | LINKEDIN: Profile |BLOG: Link | -NL- **`gdeviprsad85@yahoo.co.in`[EMAILS_EMAIL]** -NL- SENIOR DATA ENGINEER -NL- Positioned to deliver quality service and provide rare value to clients in intensely- -NL- competitive industry -NL- **`PROFILE STATEMENT`[WORK_EXPERIENCE_HEADING]** -NL-  Accomplished IT professional with extensive experience in all facets of design, development, -NL- leadership, and architecture. -NL-  Armed with over one-decade of hands-on experience in SQL Server database projects for Microsoft. -NL-  Has good experience working on Azure including Azure Data Lake Storage/Analytics, Azure Data -NL- Factory, Azure SQL ETC. -NL-  Expert in Design and Development of Datawarehouse and online transaction processing (OLTP) -NL- systems. -NL-  Experienced & Certified Data Engineer with proven ability to successfully work with all levels of -NL- stakeholders, identify functional and technical requirements; translate complex functional, technical -NL- and business requirements into architectural designs, BI presentation and data layer application -NL- solutions through effective design, coding and testing. -NL-  Experienced in developing and deploying Data Mart or data cube solutions -NL-  Exposure to Microsoft Machine Learning Services and Microsoft COSMOS and SCOPE Scripting -NL-  Proven track record for success in timely completion of all projects exceeding client expectations. -NL-  Follows automation driven approaches to reduce manual errors and helps streamline manual -NL- processes. -NL-  Experience in working on continuous integration and continuous development methodologies. -NL-  Over the past few projects helped clients reduce manual effort by hundreds of person hours saving -NL- thousands of dollars along with improving the Quality and reliability of the core product. -NL-  Leverage strong work ethic to function effectively under time pressure and within stressful -NL- environment; complemented with the ability to learn new technical skills quickly. -NL-  Experience working in Agile Methodology. (2 Week sprint model) -NL- **`CORE SKILLS AND EXPERTISE`[SKILLS_HEADING]** -NL-  Microsoft SQL Server -NL-  Data Engineering -NL-  Extract Transform Load -NL- (ETL) -NL-  Business Intelligence -NL-  Data Analysis -NL-  Performance -NL- (SSIS/SSRS/SSAS) -NL-  Power BI -NL- Optimization -NL-  Azure (Data Lake, Data Factory, -NL-  C# -NL- SQL etc.) -NL-  Enterprise Database Architecture -NL-  PowerShell -NL-  Excel, Macros (VBA) -NL-  Python, PHP -NL-  Agile Scrum Methodology -NL-  Oracle -NL-  Database Administration -NL- S E L E C T E D H I G H L I G H T S -NL-  Over 10 Years of solid experience as a SQL Server Developer/Lead. -NL-  Has extensive experience on SQL Server Databases in almost all thefields, e.g. Design, Development, -NL- Tuning, Integration etc. -NL-  Designed and implemented complex Enterprise database architecture. -NL-  Expert in transforming complex business logic into Database design. -NL-  Proficient in understanding the database relationships and generating reports. (Power BI, Excel etc.) -NL-  Able to analyze issues and provide robust but adaptable solutions which meet current and future -NL- requirements -NL-  Superior relationship development and management skills -NL- **`E DUCATIONAL QUALIFICATIONS`[EDUCATION_HEADING]** -NL- **`Jawaharlal Nehru Technological University, Hyderabad, India`[EDUCATION_INSTITUTE]** | **`Bachelor of Technology`[EDUCATION_DEGREE]** -NL- Board of **`Intermediate`[EDUCATION_DEGREE]** Education, Hyderabad, India | **`Intermediate`[EDUCATION_DEGREE]** -NL- Board of Secondary School Education, Hyderabad, India | **`Schooling`[EDUCATION_DEGREE]** -NL- **`P ROFESSIONAL EXPERIENCE`[WORK_EXPERIENCE_HEADING]** -NL- **`Infosys Limited `[EMPLOYER_COMPANY_NAME]**– Technology Lead -NL- Jun. 2007 – Present -NL-  Working as a data Engineer with experience in multiple technologies like SQL Server, C#, Python, -NL- PowerShell etc. -NL-  Analyze and expand on existing requirements to derive functional, non-functional and technical -NL- requirements that are buildable and testable -NL-  Perform as team lead for diverse technical teams and provide a capability/approach for completing the -NL- goals and requirements associated with assigned projects -NL-  Work collaboratively with all levels of management, business owners, technologists, developers, -NL- operations, other Technical Leads and Contractors and facilitate resolution of complex technical issues -NL- with developers/vendors/infrastructure providers -NL-  Participate in the analysis, design, development, and prototyping to include user interfaces and -NL- framework, database design, enterprise efforts that build on the proposed technical architecture -NL- P ROJECTS DELIVERED -NL- Title: **`Recon Intelligence `[PROJECT_TITLE]**-NL- Nov. 2017 – Present -NL- Description: RI is a web-based portal used for reconciling thefinancial data in Microsoft. -NL- Responsibility: -NL-  Worked as a SWE (Software Engineer) and responsible for developments, testing and deployment -NL- (Azure Dev Ops) of the code. -NL-  Designed and developed data models to support multiple features. This includes both storage and -NL- processing. -NL-  Implemented complex business logics as part of ETL Workflows/Data loads. -NL-  Developed and enhanced systems to reduce manual effort of end users. -NL-  Developed USQL Code to process data in Azure Data Lake. -NL-  Created Azure data factory pipelines to consume data from external systems and load it into Azure SQL -NL- Databases. -NL-  Created Build/release definitions in Azure DevOps to enable Continuous Integration and Continuous -NL- development. -NL-  Worked on COSMOS and Scope scripting -NL- Title: **`Mercury`[PROJECT_TITLE]** -NL- Nov. 2017 – Present -NL- Description: **`Mercury`[PROJECT_TITLE]** is a set of Datawarehouse and reporting applications used for Microsoft P&L -NL- Reporting. -NL- Responsibility: -NL-  Design Develop and Enhance Extract Transform and Load (ETL aka Acquire Integrate Distribute) Flows -NL- for thefinancial requirements. Millions offinancial records are processed as part of these ETL Flows. -NL- Primary technologies used are SQL Server 2016, SSIS, SSAS, Microsoft Visual Studio Online, Power BI. -NL-  Analyze and lower permissions of the application level security accounts/groups to improve security. -NL-  Add new Perspectives (Facts)/Domains to the SQL Datawarehouse, OLAP Cubes and develop new -NL- reports for Business use. -NL-  Work as a SWE (Software Engineer) and responsible for both development, testing and deployment -NL- (VSO release definition) of the code. Experience working in 2-week sprint model (Agile). -NL- Title: Incentive Compensation -NL- Oct. 2016 – Nov. 2017 -NL- Description: World Wide Incentive Compensation (WWIC) is responsible for designing, delivering and -NL- administering Microsoft Incentive Compensation plans and worldwide special incentive programs. The goal -NL- of the project is to upgrade a decade old Excel based system. -NL- Responsibility: -NL-  Design and Develop Validation and ETL system (Database Driven) that compares the Revenue/Targets -NL- against multiple external systems like MSSales, Wind, Quota system etc. The database system -NL- validates the entire Datawarehouse inputs v/s outputs. -NL-  Able to reduce manual efforts across project by hundreds of manual hours by automating key decision -NL- driving validations. -NL-  Create Business Decision Driving Reports (Based on Power BI, SQL Server, Azure Data Factory, Python) -NL-  Worked on features including Temporal Tables, Row Level Security, Query Store etc. -NL- Title: **`NGVL Data Services & BI `[PROJECT_TITLE]**-NL- Apr. 2012 – Oct. 2016 -NL- Description: Project NGVL is a strategic change initiative led by World Wide Licensing & Pricing (WWLP), -NL- Operations, MSIT, and Worldwide Operations in partnership with EPG, SMS&P, and WPG to transform the -NL- Volume Licensing business so that it can scale for the next 20 years, compete more quickly in new -NL- markets, and deliver a superior licensing experience for our customers, partners, sellers, and operations -NL- personnel. -NL- Responsibility: -NL-  Provide key design solutions for major Database problems in the project -NL-  Point of contact/SME for all BI - DB related issues in the project -NL-  Design and develop an automated way of extracting data from EDS -NL-  Create technical specifications for all the core components of the project for all the releases -NL- Title: **`PMC`[PROJECT_TITLE]** -NL- Apr. 2009 – Apr. 2012 -NL- Description: The Microsoft Partner Program Membership Center is a management tool for the -NL- membership in the Program. From the Membership Center, users can view your account status in the -NL- Program and perform administrative tasks -NL- Responsibility: -NL-  Developed very complex stored procedures and jobs for integration of **`PMC`[PROJECT_TITLE]** with External Systems -NL-  Maintained zero (0) bug count for all my deliverables in two major releases which resulted in customer -NL- appreciations and also got an MVP (Most Valuable player) award -NL-  Created SQL Server Agent jobs for the application to implement complex business functionality -NL-  Maintained good cross team collaboration with team such as Test, PM, production and user support -NL- teams -NL- Title: Partner Dashboard -NL- Sep. 2008 – Mar. 2009 -NL- Description: Partner Dashboard provides Gold Certified and Certified Partners with a basic view of key -NL- metrics regarding partner capacity, readiness, sales pipeline and customer satisfaction levels. The tool is -NL- accessible through the Partner Portal and the Partner Membership Centre. -NL- Responsibility: -NL-  Analyzed the existing database architecture and designed some tables for enhancing application -NL- functionality -NL-  Diagnosed and highly improved the performance of the stored procedures -NL-  Analyzed SSIS packages and have modified for the new functionality -NL-  Prepared development and test environments for deploying the builds -NL- Title: Rhythm of Business -NL- Oct. 2007 – Aug. 2008 -NL- Description: Rhythm of Business (ROB) enables a systematic and predictable way for teams to -NL- communicate, assess how they (different Business Groups/ Units and Microsoft) are performing, share -NL- feedback, make decisions and lead the business. -NL- Responsibility: -NL-  Designed Physical and Logical Data Model and Database for the web application -NL-  Created stored procedures, functions, views and other database objects to operate on the database -NL- like retrieving and storing information -NL-  Involved in performance tuning of the stored procedures -NL-  Created SQL server agent jobs and send mail mechanism -NL- C ERTIFICATIONS -NL- Exam 70-432: Microsoft SQL Server 2008, Implementation and Maintenance -NL- Exam 70-433: Microsoft SQL Server 2008, Database Development. -NL- 